The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"OpenNews: trafd работает под Linux"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [ Отслеживать ]

"OpenNews: trafd работает под Linux"  
Сообщение от opennews on 03-Июн-03, 14:40 
Изначальным ограничением удобной системы для подсчета трафика trafd до недавнего времени являлось работа только под BSD системами, под Linux trafd не работал. Последние версии trafd-3 используют libpcap, т.е. теоретически проблем  работы под Linux нет.


Сегодня обнаружил, что в текущем development коде, доступном только через CVS, поддержка сборки под Linux уже реализована. Также изменен алгоритм хэширования (теперь работает в 20-30 быстрее, исправлены многие ошибки (в том числе проблема с появлением zombie процессов), при запуске trafd теперь сбрасываются root привилегии.


Ниже, инструкция получения trafd через CVS:
<pre>
cvs -z3 -d:pserver:cvs@cvs.riss-telecom.ru:/cvs login
Вместо пароля - просто Enter.
cvs -z3 -d:pserver:cvs@cvs.riss-telecom.ru:/cvs checkout trafd
cvs -z3 -d:pserver:cvs@cvs.riss-telecom.ru:/cvs logout
</pre>

URL: http://www.riss-telecom.ru/dev/trafd/
Новость: https://www.opennet.ru/opennews/art.shtml?num=2526

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "trafd работает под Linux"  
Сообщение от Аноним email on 03-Июн-03, 14:40 
Вроде как версия для Linux с 2001 года долгое время лежала на ftp://ftp.ksn.ru/pub/linux/soft/trafd-lnx-3.0.2.tar.gz
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "trafd работает под Linux"  
Сообщение от Аноним email on 03-Июн-03, 16:19 
бедный я. у меня наверно неправильный trafd, который уже года 2 точно работает под линухом. (всего-то #include надо было поменять)
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "trafd работает под Linux"  
Сообщение от Ghost on 03-Июн-03, 17:28 
> (всего-то #include надо было поменять)

Труднее было догататься -D_BSD_SOURCE в Makefile вставить :-)

3.0.1 работал в Linux после рукоприкладства, но приходилось трястись, что что-то недопатчил и что-то недосчитается. Главное trafd теперь работает с Linux из первых рук. Судя по коду, там больше, чем просто include и Makefile поправили.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "trafd и Linux"  
Сообщение от Maxim Chirkov email on 03-Июн-03, 17:48 
Господа ! Перечитайте текст новости, там нет утверждения, что trafd-3 невозможно запустить под Linux, наоборот "теоретически проблем для работы под Linux нет."

Кстати, beta версии есть на ftp:
ftp://ftp.riss-telecom.ru/pub/dev/trafd/beta/

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "trafd и Linux  Help !!!!"  
Сообщение от Evg email on 29-Июн-03, 14:11 
Помогите настроить trafd
скачал .
делаешь make - одни ошибки
как подправить makefile
у меня Mandrake 9.0

Pliz

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

7. "trafd и RH9 Linux"  
Сообщение от Аноним email on 23-Окт-03, 15:08 
Мой рускии очен плохой поетому я буду писат на Англииском
I tried to install several versions of trafd on RH9 system with no luck.
1. wget ftp://ftp.riss-telecom.ru/pub/dev/trafd/trafd-3.0.1.tgz
- gave me error during make stage
2. wget ftp://ftp.riss-telecom.ru/pub/dev/trafd/trafd-3.0.2.1.tgz
- error in Makefile (dont start at all)
3. wget ftp://ftp.riss-telecom.ru/pub/dev/trafd/beta/trafd-3.0.3-b4....
- compiles with no errors but when tries to run trafd:
-bash: /usr/local/bin/trafd: /usr/lib/libc.so.1: bad ELF interpreter: No such file or directory

4.ftp://ftp.ksn.ru/pub/linux/soft/trafd-lnx-3.0.2.tar.gz - dont allow anonymous user to download

If anyone can help ?

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "trafd и Linux"  
Сообщение от alexander email on 06-Ноя-03, 11:36 
wget ftp://ftp.riss-telecom.ru/pub/dev/trafd/beta/trafd-3.0.3-b4....
- compiles with no errors but when tries to run trafd:
-bash: /usr/local/bin/trafd: /usr/lib/libc.so.1: bad ELF interpreter: No such file or directory

|Imakeing symlink from /usr/lib/libc.so to >>   /usr/lib/libc.so.1
make poroces result is OK!
I tried run trafd:
result is:
[root@alex bin]# ./trafstat
bash: ./trafstat: Permission denied

If anyone can help ?

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

9. "trafd и Linux"  
Сообщение от rav email(??) on 29-Окт-07, 09:03 
А у меня trafd никак не хочет компилиться под Slackware. Создаю симлинк на bpf.h или меняю include - без разницы, сыплются ошибки и бинарник не создается.
У кого-нибудь есть опыт?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

10. "trafd и Linux"  
Сообщение от metalolom email(??) on 31-Май-08, 19:25 
аналогично не могу скомпилить trafd под debian:( может есть кто, кто может помочь?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

11. "trafd и Linux"  
Сообщение от Morph (??) on 30-Сен-08, 11:22 
apt-get install build-essentials
apt-get install libpcap-dev
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру